module spi_dri_test();

	reg sys_clk;
	reg clk;
	reg rst_n;
	reg [7:0] user_write_data;
	reg user_write_valid;
	reg SPI_MISO;
	wire SPI_CLK;
	wire SPI_CS;
	wire user_ready;
	wire [7:0] user_read_data;
	wire user_read_data_valid;
	wire SPI_MOSI;

	//----Code starts here: integrated by Robei-----
	initial begin
							clk<=1'b0; rst_n<=1'b0;
	#200		rst_n<=1'b1;
							user_write_data = 8'h55;
							user_write_valid = 'd1;			
	#40000 $finish;
	end
	
	always #1 clk <= ~clk;
	
	
	
	initial begin
		$dumpfile ("F:/Robei_competition_common_ip/communication_protocol_type/SPI_drive/spi_dri_test.vcd");
		$dumpvars;
	end
	//---Module instantiation---
	spi_dri spi_dri1(
		.sys_clk(sys_clk),
		.clk(clk),
		.rst_n(rst_n),
		.user_write_data(user_write_data),
		.user_write_valid(user_write_valid),
		.SPI_MISO(SPI_MISO),
		.SPI_CLK(SPI_CLK),
		.SPI_CS(SPI_CS),
		.user_ready(user_ready),
		.user_read_data(user_read_data),
		.user_read_data_valid(user_read_data_valid),
		.SPI_MOSI(SPI_MOSI));

endmodule    //spi_dri_test

